package com.ss.android.ugc.aweme.tasks;

import X.3wF;
import X.49p;
import X.7lW;
import X.8Zd;
import X.8Ze;
import X.8ec;
import X.9Ft;
import X.9Fx;
import X.FFV;
import android.content.Context;
import android.net.Uri;
import com.bytedance.covode.number.Covode;
import java.util.List;

public class LogLaunchModeTask implements 8Ze {
    public Uri LIZ;
    public String LIZIZ;
    public String LIZJ;

    static {
        Covode.recordClassIndex(118784);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1048575;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public 8ec type() {
        return 8ec.BOOT_FINISH;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public void run(Context context) {
        String str;
        Uri uri = this.LIZ;
        String str2 = "";
        if (uri != null) {
            str = uri.getQueryParameter("enter_to");
        } else {
            str = str2;
        }
        49p LIZIZ2 = 49p.LIZIZ();
        Context applicationContext = 3wF.LIZ.getApplicationContext();
        if (7lW.LIZJ && applicationContext == null) {
            applicationContext = 7lW.LIZ;
        }
        long LJFF = LIZIZ2.LJFF(applicationContext, "red_point_count");
        FFV ffv = new FFV();
        ffv.LIZ = this.LIZJ;
        ffv.LIZLLL = Integer.toString(1);
        if (str != null) {
            str2 = str;
        }
        ffv.LIZIZ = str2;
        ffv.LIZJ = Long.toString(LJFF);
        ffv.LJ = this.LIZIZ;
        ffv.LJFF();
    }

    public LogLaunchModeTask(Uri uri, String str) {
        this.LIZ = uri;
        this.LIZIZ = str;
        this.LIZJ = "enter_launch";
    }

    public LogLaunchModeTask(Uri uri, String str, String str2) {
        this.LIZ = uri;
        this.LIZIZ = str;
        this.LIZJ = str2;
    }
}
